Bug 1005775 - Children of moved/renamed nodes don't have their paths re-indexed
Children of moved/renamed nodes don't have their paths re-indexed
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: ---
Assigned To: Horia Chiorean
: QA-Closed
Depends On:
Blocks: 1011937
  Show dependency treegraph
 
Reported: 2013-09-09 07:50 EDT by Horia Chiorean
Modified: 2016-02-10 03:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 03:53:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker MODE-2030 Blocker Closed Folder children cannot be queried after folder has been renamed/moved 2014-02-14 05:49:18 EST

  None (edit)
Description Horia Chiorean 2013-09-09 07:50:19 EDT
When moving or renaming a node in a hierarchy via session.move, if indexing is enabled, then the children of the moved node should have their paths updated in the indexes to reflect the new location of the parent.
Comment 1 JBoss JIRA Server 2013-09-09 10:19:29 EDT
Horia Chiorean <hchiorea@redhat.com> made a comment on jira MODE-2030

Attached a second pull request which fixes the update of the indexes for child nodes, when the parent node is moved/renamed.
Comment 2 JBoss JIRA Server 2013-09-09 12:25:34 EDT
Randall Hauch <rhauch@jboss.org> made a comment on jira MODE-2030

Merged the pull request into the 'master' branch.
Comment 8 JBoss JIRA Server 2013-10-24 05:18:58 EDT
Randall Hauch <rhauch@jboss.org> updated the status of jira MODE-2030 to Closed
Comment 9 belong 2013-11-19 18:18:41 EST
Fixed before GA - setting to requires_doc_text- accordingly

Note You need to log in before you can comment on or make changes to this bug.